# TMCVersionNumber Struct Reference

Inheritance diagram for TMCVersionNumber:

List of all members.

## Public Member Functions
| TMCVersionNumber ()
| TMCVersionNumber (int32 major, int32 minor, int32 revision, int32 build)
boolean | operator== (const TMCVersionNumber &version) const
boolean | operator!= (const TMCVersionNumber &version) const
boolean | operator< (const TMCVersionNumber &version) const
boolean | operator<= (const TMCVersionNumber &version) const
boolean | operator> (const TMCVersionNumber &version) const
boolean | operator>= (const TMCVersionNumber &version) const
int32 | Compare (const TMCVersionNumber &version) const
void | GetVersionString (TMCString &string, boolean includeBuildNumber) const
void | GetFullVersionString (TMCString &string) const
void | FromVersionString (const TMCString &string)
## Public Attributes
int32 | fMajor
int32 | fMinor
int32 | fRevision
int32 | fBuild
## Static Protected Member Functions
static uint32 | GetIntergerFormVersionNumber (TMCString &string)

## Detailed Description

Stores an application's version number in the form (fMajor, fMinor, fRevision, fBuild). And provides comparison operators.

## Constructor & Destructor Documentation

TMCVersionNumber::TMCVersionNumber | ( |  | ) | `[inline]`

TMCVersionNumber::TMCVersionNumber | ( | int32 | major,
|  | int32 | minor,
|  | int32 | revision,
|  | int32 | build |
| ) |  |  | `[inline]`

## Member Function Documentation

int32 TMCVersionNumber::Compare | ( | const TMCVersionNumber & | version | ) | const`[inline]`

void TMCVersionNumber::FromVersionString | ( | const TMCString & | string | ) |

void TMCVersionNumber::GetFullVersionString | ( | TMCString & | string | ) | const

static uint32 TMCVersionNumber::GetIntergerFormVersionNumber | ( | TMCString & | string | ) | `[static, protected]`

void TMCVersionNumber::GetVersionString | ( | TMCString & | string,
|  | boolean | includeBuildNumber |
| ) |  |  | const

boolean TMCVersionNumber::operator!= | ( | const TMCVersionNumber & | version | ) | const`[inline]`

boolean TMCVersionNumber::operator< | ( | const TMCVersionNumber & | version | ) | const`[inline]`

boolean TMCVersionNumber::operator<= | ( | const TMCVersionNumber & | version | ) | const`[inline]`

boolean TMCVersionNumber::operator== | ( | const TMCVersionNumber & | version | ) | const`[inline]`

boolean TMCVersionNumber::operator> | ( | const TMCVersionNumber & | version | ) | const`[inline]`

boolean TMCVersionNumber::operator>= | ( | const TMCVersionNumber & | version | ) | const`[inline]`

## Member Data Documentation

int32 TMCVersionNumber::fBuild

int32 TMCVersionNumber::fMajor

int32 TMCVersionNumber::fMinor

int32 TMCVersionNumber::fRevision

The documentation for this struct was generated from the following file:

- MCVersionNumber.h